package com.realnet.basic.Controllers;
import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
 import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;
import com.fasterxml.jackson.core.JsonProcessingException;
import org.springframework.web.bind.annotation.CrossOrigin;
import com.fasterxml.jackson.databind.JsonMappingException;
import com.realnet.config.EmailService;
import com.realnet.users.entity1.AppUser;
import com.realnet.users.service1.AppUserServiceImpl;
import com.fasterxml.jackson.databind.ObjectMapper;
import org.springframework.data.domain.*;
import com.realnet.fnd.response.EntityResponse;
import org.springframework.http.*;
import org.springframework.beans.factory.annotation.*;
import com.realnet.basic.Entity.Analytics;
import com.realnet.basic.Services.AnalyticsService ;








@RequestMapping(value = "/Analytics")
 @CrossOrigin("*") 
@RestController
public class AnalyticsController {
	@Autowired
	private AnalyticsService Service;

@Value("${projectPath}")
	private String projectPath;
 








	@PostMapping("/Analytics")
		  public Analytics Savedata(@RequestBody Analytics data) {
		Analytics save = Service.Savedata(data)	;







		System.out.println("data saved..." + save);

 return save;
	  }
@PutMapping("/Analytics/{id}")
	public  Analytics update(@RequestBody Analytics data,@PathVariable Integer id ) {
		Analytics update = Service.update(data,id);
		System.out.println("data update..." + update);
		return update;
	}	 
//	get all with pagination
	@GetMapping("/Analytics/getall/page")
	public Page<Analytics> getall(@RequestParam(value = "page", required = false) Integer page,
			@RequestParam(value = "size", required = false) Integer size) {
		Pageable paging = PageRequest.of(page, size);
		Page<Analytics> get = Service.getAllWithPagination(paging);

		return get;

	}	
	@GetMapping("/Analytics")
	public List<Analytics> getdetails() {
		 List<Analytics> get = Service.getdetails();		
		return get;
}
// get all without authentication 

	@GetMapping("/token/Analytics")
	public List<Analytics> getallwioutsec() {
		 List<Analytics> get = Service.getdetails();		
		return get;
}
@GetMapping("/Analytics/{id}")
	public  Analytics  getdetailsbyId(@PathVariable Integer id ) {
		Analytics  get = Service.getdetailsbyId(id);
		return get;
	}
@DeleteMapping("/Analytics/{id}")
	public  ResponseEntity<?> delete_by_id(@PathVariable Integer id ) {
	Service.delete_by_id(id);
			return new ResponseEntity<>(new EntityResponse("Deleted"), HttpStatus.OK);
	
	}









}